Green webcam capture on isight

Bug #349255 reported by Rui Ferreira on 2009-03-27
154
This bug affects 20 people
Affects Status Importance Assigned to Milestone
Cheese
In Progress
Undecided
Unassigned
Linux
New
Undecided
Unassigned
Mactel Support
Undecided
Unassigned
Ubuntu
Undecided
Unassigned

Bug Description

I have a regression on the isight webcam. It worked well on Intrepid but now the image appears mostly green although I can see my face in background. If I apply some effects on cheese I can see me better. Image goes in attachment. Image on skype works fine. In cheese and ekiga I get this.

> Linux feynman 2.6.28-11-generic #37-Ubuntu SMP Mon Mar 23 16:40:00 UTC 2009 x86_64 GNU/Linux
Macbook 4-1

Rui Ferreira (ruiandreferreira) wrote :
Rui Ferreira (ruiandreferreira) wrote :

solved this by setting the following options to gstreamer:

v4l2src device="/dev/video0" ! videoscale

Joshua Blount (jblount) wrote :

I just wanted to comment that I'm experiencing the same problems with iSight video in Jaunty, worked fine in Hardy and Intrepid on this machine (and still works fine in MacOS if I boot into it). I've used these instructions to set it up each time: https://help.ubuntu.com/community/MactelSupportTeam/AppleiSight?action=show&redirect=AppleiSight

Alexej (nobounds-gmail) wrote :

got the same problem

Rui, coud you please describe the steps you made to get it to work?

Alexej (nobounds-gmail) wrote :

I found the instruction to solve this on https://help.ubuntu.com/community/MactelSupportTeam/AppleiSight?action=show&redirect=AppleiSight in section "Green Capture issue" .Thx

Alexej (nobounds-gmail) wrote :

 the problem is, these custom settings are not saved after closing the dialog
after you close the gstreamer-properties dialog, video input settings are set back to default values.
Where is the config file, so i can write setting in there by hand ?

Joshua Blount (jblount) wrote :

gstreamer-properties appears to just be a nice front end for gconf-editor

run gconf-editor and go to system > system > gstreamer > default and change the setting for videosrc

(Note that this did not fix it for me, my setting in this box reads "v4l2src device="/dev/video0" ! videoscale" and I'm still getting green video in every application)

I've actually just reinstalled from a formatted drive Jaunty, and I'm still having this problem, although a friend with a what is possibly a slightly different model go it working with these instructions. (My model is MacBookPro2,2)

cyberyogi (flyingdervish) wrote :

Ditto on a MacBook2,1. Per Joshua Blount's suggestion, I looked in gconf-editor. It appears that the 'v4l2src device="/dev/video0" ! videoscale' setting that I put into gstreamer-properties was saved there already. But when I run gstreamer-properties, the setting there is back to the default and I see the green image until I change it there again. Cheese and Ekiga both show the camera image as green with no obvious way of changing it from within the application.

onyxrev (entp) wrote :

Also happening to me on a Macbook 4,1 in Jaunty current to April 13. Green fix works in gstreamer-properties but does not stick elsewhere.

Same thing for me.

As a temporary hack, users with 32-bit distributions can use gstfakevideo to create a fake device with the correct options and use the new device for their programs (ekiga, etc.), but 64-bit users (like me!) are stuck as gstfakevideo does not work in 64-bit installs...

hope this helps

Carlos

Jason Woodward (jaosdotorg) wrote :

Same problem on my macbook 3.1

gilvorhoff (gilvorhoff) wrote :

Ditto for MacBook1,1: regression from intrepid upgraded in place to jaunty-- "green-scale" images from built-in iSight with both cheese and ekiga despite gstreamer-properties hack. FWIW, the image looks very contrasty, as if all pixels are saturated green except for white highlights.
Thanks for your work!

Jeff V Stein (jvstein) wrote :

Confirming same problem on my MacBookPro2,2. The picture looks fine when opened directly with VLC.

Seeing all the same things previously mentioned, !videoscale helps but doesn't persist or affect any other program when directly set with gconf-editor.

rasca (rasca7) wrote :

Same problem with MacBook 1,1

nnutter (nnutter) wrote :

Is this going to at least be acknowledged by any devs?

A fix would be nice but I'm more interested in at least knowing that someone who is smart enough to fix this at least has it on their to-do list.

NoBugs! (luke32j) on 2009-05-06
Changed in ubuntu:
status: New → Confirmed
A.S. (jflegias) wrote :

Same problem.
Macbook 4.1

I'm seeing the same issues on my macbook since an update from 8.10

If I change the settings in gstreamer-properties and test everything works, but I can't make the changes sticky.

Video is always green in skype and cheese.

On cheese the problem get solved applying the attached patch, because it does not use the properties stored on gconf by gstreamer-properties

vorko79 (vorko79) wrote :

I too experience this green capture on my white MacBook Santa Rosa. How do you apply the patch for Cheese posted above by Martin?

Romuald (romu70) wrote :

Same for me, Macbook Pro 2G, Jaunty 64 bits.

It is a temporary patch... You can apply it installing its sources, and patching it:

sudo apt-get install apt-src
apt-src install cheese
patch -p0 < isight.diff
apt-src build cheese
sudo dpkg -i cheese_2.26.*.deb
echo cheese hold | sudo dpkg --set-selections

Changed in cheese:
status: New → Confirmed
mabovo (mabovo) wrote :

That patch worked for me on Mac2,1 with Jaunty (Kernel 2.6.30-RC5)
Thanks !

this is a bug in kernel ????

            in gnome ???

in gstreamer ???

or other ????

Ricky Campbell (cyberdork33) wrote :

if the problem is similar to cheese, then there are several issues:

1. gstreamer is not using the right settings by default
2. the various applications that utilize gstreamer are not reading the fixed settings there.

Changed in cheese:
status: Confirmed → In Progress
NoBugs! (luke32j) wrote :

How do you install the patch?
I get an error on that second command:

apt-src install cheese
E: No such source

Could anyone help me with Patching ?

When i: Type patch -p0 < isight.diff
i get the following error:

mogli@xxy:~/Desktop$ patch --po < isight.diffcan't find file to patch at input line 4
Perhaps you should have used the -p or --strip option?
The text leading up to this was:
--------------------------
|diff -ur cheese-2.26.0.orig/src/cheese-webcam.c cheese-2.26.0/src/cheese-webcam.c
|--- cheese-2.26.0.orig/src/cheese-webcam.c 2009-03-16 18:46:10.000000000 +0100
|+++ cheese-2.26.0/src/cheese-webcam.c 2009-05-11 18:35:45.960992276 +0200
--------------------------
File to patch:

What do i wrong.
P.S. i have totaly no experience with patches.

The option is p-zero not p-oh

Ricky

On Jun 7, 2009, at 2:21 PM, "robin.nightingale" <email address hidden>
wrote:

> *** This bug is a duplicate of bug 345080 ***
> https://bugs.launchpad.net/bugs/345080
>
> Could anyone help me with Patching ?
>
> When i: Type patch -p0 < isight.diff
> i get the following error:
>
> mogli@xxy:~/Desktop$ patch --po < isight.diffcan't find file to
> patch at input line 4
> Perhaps you should have used the -p or --strip option?
> The text leading up to this was:
> --------------------------
> |diff -ur cheese-2.26.0.orig/src/cheese-webcam.c cheese-2.26.0/src/
> cheese-webcam.c
> |--- cheese-2.26.0.orig/src/cheese-webcam.c 2009-03-16 18:46:10.000000000
> +0100
> |+++ cheese-2.26.0/src/cheese-webcam.c 2009-05-11 18:35:45.960992276
> +0200
> --------------------------
> File to patch:
>
>
> What do i wrong.
> P.S. i have totaly no experience with patches.
>
> --
> Green webcam capture on isight
> https://bugs.launchpad.net/bugs/349255
> You received this bug notification because you are a member of Mactel
> Support, which is the registrant for Mactel Support.
>
> Status in Cheese Camera Application: In Progress
> Status in The Linux Kernel: New
> Status in Mactel Support: New
> Status in Ubuntu: Confirmed
>
> Bug description:
> I have a regression on the isight webcam. It worked well on Intrepid
> but now the image appears mostly green although I can see my face in
> background. If I apply some effects on cheese I can see me better.
> Image goes in attachment. Image on skype works fine. In cheese and
> ekiga I get this.
>
>> Linux feynman 2.6.28-11-generic #37-Ubuntu SMP Mon Mar 23 16:40:00
>> UTC 2009 x86_64 GNU/Linux
> Macbook 4-1
>
> _______________________________________________
> Mailing list: https://launchpad.net/~mactel-support
> Post to : <email address hidden>
> Unsubscribe : https://launchpad.net/~mactel-support
> More help : https://help.launchpad.net/ListHelp

SheaN (snewton2) wrote :

problem patching cheese...
When I type patch -p0 < isight.diff
I get this :
bash: isight.diff: No such file or directory

Thanks for the Help but when i type in the right option i get the following Error.
Does Anyone know Help ?

Thanks

mogli@xxy:~/Desktop$ patch -p0 < isight.diff
can't find file to patch at input line 2
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|diff -r cheese-2.26.0.orig/src/cheese-webcam.c cheese-2.26.0/src/cheese-webcam.c
--------------------------
File to patch:

NoBugs! (luke32j) wrote :

Installing the older v4l driver should fix it without need of a patch:
http://packages.ubuntu.com/intrepid/libv4l-0

Otto Kekäläinen (otto) wrote :

This is a duplicate of bug #345080. Read the main bug report for the correct solution (in comment #15).

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers